/*
 * Copyright © 2022, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.base;

import java.util.concurrent.ThreadFactory;



public class JavacommThreadFactory implements ThreadFactory {

  private String name;
  private int counter;

  public JavacommThreadFactory(String name) {
    this.name = name;
    counter = 1;
  }



  @Override
  public Thread newThread(Runnable r) {
    Thread thread = new Thread(r, name + "-" + counter++);
    return thread;
  }

}
