/*
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.filetransfer;

public enum Dateityp {
  aac,avi,doc,docx,exe,html,jpg,jpeg,m4a,mov,mp3,mp4,mpeg,mpg,mkv,odt,odx,pdf,pdx,png,ppt,pptx,
  txt,xls,xlsx,xml,webm,wmv,zip, sevenzip("7z");
  
  private String suffix;
  
  private Dateityp() {
    
  }
  
  private Dateityp(String value) {
    suffix = value;
  }
  
  
  @Override
  public String toString() {
    if (suffix==null) {
      return this.name();
    }
    return suffix;
  }
  
}



