/*
 * Copyright © 2022, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.client.filetransfer;

/**
 * Wird geworfen, wenn das zu überwachende Objekt kein Verzeichnis ist.
 * 
 * @author lromero
 *
 */
public class NoDirectoryException extends Exception {

  private static final long serialVersionUID = -5976602446766900886L;

  public NoDirectoryException() {
    super();
  }



  public NoDirectoryException(String message) {
    super(message);
  }



  public NoDirectoryException(String message, Exception e) {
    super(message, e);
  }



  public NoDirectoryException(Throwable t) {
    super(t);
  }



  public NoDirectoryException(String message, Throwable t) {
    super(message, t);
  }

}
