/**
 * Copyright © 2020, Luis Andrés Lange <https://javacomm.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.database;

/**
 * Wird geworfen, wenn der SQL-Befehl nicht ausgeführt werden konnte.
 */
public class DatabaseException extends Exception {

  private static final long serialVersionUID = -1136445257887413331L;

  /**
   * Ein SQL-Befehl konnte nicht ausgeführt werden.
   * 
   */
  public DatabaseException() {
    super();
  }



  /**
   * Ein SQL-Befehl konnte nicht ausgeführt werden.
   * 
   * @param message
   *                Fehlernachricht
   */
  public DatabaseException(String message) {
    super(message);
  }

}
