/**
 * Copyright © 2021, Luis Andrés Lange llange@javacomm.net
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
package net.javacomm.database.entity;

import java.time.ZonedDateTime;



/**
 * Die Tabelle TB_ONLINE.
 */
public class Online {

  private String uid;
  private String session;
  private String ip;
  private ZonedDateTime keepalive;
  private ZonedDateTime since;

  /**
   * Die Benutzerkennung aus der TB_USER.
   * 
   * @return 8-stellige Benutzerkennung
   */
  public String getUid() {
    return uid;
  }



  /**
   * Die Benutzerkennung aus der TB_USER.
   * 
   * @param uid
   *            8-stellige Benutzerkennung
   */
  public void setUid(String uid) {
    this.uid = uid;
  }



  public String getSession() {
    return session;
  }



  public void setSession(String session) {
    this.session = session;
  }



  public String getIp() {
    return ip;
  }



  public void setIp(String ip) {
    this.ip = ip;
  }



  /**
   * Wann hat sich der User angemeldet?
   * 
   * @return Datum + Uhrezit + Zeitzone
   */
  public ZonedDateTime getSince() {
    return since;
  }



  /**
   * Seit diesem Aufruf ist der Anwender angemeldet.
   * 
   * @param since
   *              Datum + Uhrezit + Zeitzone
   */
  public void setSince(ZonedDateTime since) {
    this.since = since;
  }



  /**
   * Wann hat der User zuletzt ein Lebenszeichen gesendet?
   * 
   * @return Datum + Uhrezit + Zeitzone
   */
  public ZonedDateTime getKeepalive() {
    return keepalive;
  }



  /**
   * Der Anwender schickt ein Lebenszeichen.
   * 
   * @param keepalive
   *                  Datum + Uhrezit + Zeitzone
   */
  public void setKeepAlive(ZonedDateTime keepalive) {
    this.keepalive = keepalive;
  }

}
