package net.javacomm.server;

import jakarta.servlet.Filter;
import jakarta.servlet.FilterChain;
import jakarta.servlet.ServletException;
import jakarta.servlet.ServletRequest;
import jakarta.servlet.ServletResponse;
import jakarta.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.logging.Logger;
import java.util.regex.Matcher;
import java.util.regex.Pattern;



public class LogFilter implements Filter {

  final static Pattern SCREENSHOT_PATTERN = Pattern
      .compile("/javacommserver/screenshot/(load|save)|/javacommserver/videokonferenz/upload");
  private final static Logger log = Logger.getLogger(LogFilter.class.getName());

  public LogFilter() {}



  @Override
  public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
      throws IOException, ServletException {

    HttpServletRequest httpServletRequest = (HttpServletRequest) request;
    String uri = httpServletRequest.getRequestURI();
//    log.info("uri=" + uri);
    Matcher matcher = SCREENSHOT_PATTERN.matcher(uri);
    if (matcher.matches()) httpServletRequest.setAttribute("screenshot", Boolean.TRUE);
    chain.doFilter(httpServletRequest, response);
  }

}
