/*
 * The MIT License
 * Copyright © 2023 Thorsten Schulz <https://javacomm.net>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package net.javacomm.mastermind.gui;

import java.awt.Color;
import java.awt.Font;
import net.javacomm.window.manager.WMResource;



public interface Constants {

  // Constants of Colors
  Color OLIV = new Color(111, 104, 23);
  Color ORANGE = new Color(250, 140, 30);
  Color GREEN = new Color(0, 96, 64);
  Color SAND = new Color(193, 183, 140);
  Color YELLOW = new Color(240, 230, 10);
  Color RED = new Color(128, 0, 0);
  Color LIGHT_BLUE = new Color(204, 221, 255);
  Color PURPUR = new Color(90, 0, 90);
  Color MIDDLE_BLUE = new Color(0, 144, 242);
  Color WHITE = new Color(255, 255, 255);
  /**************************************************************************************************/

  // Colors Arbeitssicherheit
  Color AS_DARKRED = new Color(127, 17, 51);
  Color AS_PALEBLUE = new Color(153, 204, 255);
  Color AS_DARKBLUEGREEN = new Color(0, 51, 102);
  Color AS_GREY40 = new Color(150, 150, 150);
  Color AS_GREY25 = new Color(192, 192, 192);
  Color AS_BLUE = new Color(0, 48, 95);
  // Akzentfarben
  Color AS_BLACK = new Color(0, 0, 0);
  Color AS_GREEN = new Color(0, 128, 0);
  Color AS_RED = new Color(255, 0, 0);
  Color AS_LIGHTORANGE = new Color(255, 153, 0);
  // JAVA-Grau für selbstgezeichnete Knöpfe
  Color JAVA_GREY = new Color(214, 217, 223);
  /**************************************************************************************************/

  // Logo
  String LOGO = new String("/net/javacomm/mastermind/gui/gif/Logo.png");
  /**************************************************************************************************/

  // Anleitungsbilder
  String MANUAL1 = new String("/net/javacomm/mastermind/gui/gif/Anleitung1.png");
  String MANUAL2 = new String("/net/javacomm/mastermind/gui/gif/Anleitung2.png");
  String MANUAL3 = new String("/net/javacomm/mastermind/gui/gif/Anleitung3.png");
  String MANUAL4 = new String("/net/javacomm/mastermind/gui/gif/Anleitung4.png");
  String MANUAL5 = new String("/net/javacomm/mastermind/gui/gif/Anleitung5.png");
  String MANUAL6 = new String("/net/javacomm/mastermind/gui/gif/Anleitung6.png");
  String MANUAL7 = new String("/net/javacomm/mastermind/gui/gif/Anleitung7.png");

  // Dialogbilder
  String UNDER_CONSTRUCTION = new String("/net/javacomm/mastermind/gui/jpg/Dukes-Lab-5k_400x171.jpg");
  String GAME_IS_RUNNING = new String("/net/javacomm/mastermind/gui/png/running-scared_44x50.png");
  String GAME_IS_STARTING = new String("/net/javacomm/mastermind/gui/png/game_is_running_45x50.png");
  String THINKMAN = new String("/net/javacomm/mastermind/gui/png/thinkman_31x50.png");
  String SLEEPMAN = new String("/net/javacomm/mastermind/gui/png/stickman_sleep_50x30.png");
  String SADMAN = new String("/net/javacomm/mastermind/gui/png/sadman_28x50.png");
  String HURRAMAN = new String("/net/javacomm/mastermind/gui/png/hurraman_42x50.png");

  // Constants of Fonts
  Font BOLD = WMResource.registerFonts(WMResource.TRUETYPE_REGULAR).deriveFont(Font.PLAIN, 15);

  // Audio
  String JUMPING_IN_A_VIDEOGAME = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-player-jumping-in-a-video-game-2043.ogg"
  );
  String GAMERS_FAIL = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-player-losing-or-failing-2042.ogg"
  );
  String SIMPLE_GAME_COUNTDOWN = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-simple-game-countdown-921.ogg"
  );
  String WHISTLE_GAME = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-cartoon-whistle-game-over-606.ogg"
  );
  String CLICK_ERROR = new String("/net/javacomm/mastermind/audio/ogg/mixkit-click-error-1110.ogg");
  String PLAYER_RECHARGING = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-player-recharging-in-video-game-2041.ogg"
  );
  String COMPLETION_OF_A_LEVEL = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-completion-of-a-level-2063.ogg"
  );
  String ELECTRIC = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-electric-welding-and-sparkles-2603.ogg"
  );
  String VICTORY = new String("/net/javacomm/mastermind/audio/ogg/mixkit-male-voice-cheer-victory-2011.ogg");
  String CARTOON_GOSSIP = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-cartoon-gossip-voices-301.ogg"
  );
  String MALE_TIRED_YAWN = new String("/net/javacomm/mastermind/audio/ogg/mixkit-male-tired-yawn-2272.ogg");
  String LONG_GAME_OEVER = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-long-game-over-notification-276.ogg"
  );
  String MONKEY_APPLAUSE = new String(
      "/net/javacomm/mastermind/audio/ogg/mixkit-cartoon-monkey-applause-103.ogg"
  );

  /**************************************************************************************************/

  // Beschriftung der Komponenten
  String BUTTON_NEXT = new String("Weiter");
  String BUTTON_BACK = new String("Zurück");
  String BUTTON_QUIT = new String("Beenden");
  /**************************************************************************************************/

  // Musteranzahl
  int COUNT_PATTERN = 4;
  /**************************************************************************************************/

  // Anzahl der Versuche in Abhängigkeit vom Level
//  public static final int SECHZEHN_VERSUCHE = 16;
//  public static final int ZWOELF_VERSUCHE = 12;
//  public static final int ACHT_VERSUCHE = 8;
  int SCHWIERIGKEITSGRADE = 3; // Es gibt 3 Level
  /**************************************************************************************************/

}
