/*
 * The MIT License
 * Copyright © 2023 Thorsten Schulz <https://javacomm.net>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package net.javacomm.mastermind.gui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JPanel;
import javax.swing.border.EtchedBorder;



public class JRoundReportPanel extends JPanel {

  /**
   * 
   */
  private static final long serialVersionUID = -1840588349873706590L;

  private EtchedBorder etched = new EtchedBorder(EtchedBorder.LOWERED);
  private JReportPanel panReport = new JReportPanel();

  public JRoundReportPanel() {
    setBackground(Constants.OLIV);
    setLayout(new BorderLayout());
    add(panReport, BorderLayout.CENTER);
    setBorder(etched);
  }



  public void setReport(String report) {
    panReport.setReport(report);
    panReport.showReport();
  }



  @Override
  public Dimension getPreferredSize() {
    return new Dimension(300, 60);
  }
}
