package net.javacomm.mastermind.tool;

import static org.junit.jupiter.api.Assertions.assertEquals;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import net.javacomm.mastermind.control.MastermindException;



public class TestPatternChecker {

  @BeforeEach
  public void setUp() {

  }



  @Test
  public void pattern1() throws MastermindException {
    String test = "DFBA";
    String solution = String.valueOf("AAAA");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("HIII", result);
    assertEquals("HIII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern2() throws MastermindException {
    String test = "DFBA";
    String solution = String.valueOf("AAAD");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("GGII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern3() throws MastermindException {
    String test = "DFBA";
    String solution = String.valueOf("ADDD");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("GGII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern4() throws MastermindException {
    String test = "DFBA";
    String solution = String.valueOf("ABCD");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("GGGI", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern5() throws MastermindException {
    String solution = String.valueOf("DFBA");
    String test = "CCAA";
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("HIII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern6() throws MastermindException {
    String test = "DFBA";
    String solution = String.valueOf("AACC");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("GIII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern7() throws MastermindException {
    String test = "DCBF";
    String solution = String.valueOf("DBCF");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("HHGG", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern8() throws MastermindException {
    String test = "DFBF";
    String solution = String.valueOf("DFBA");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("HHHI", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern9() throws MastermindException {
    String test = "AAAA";
    String solution = String.valueOf("DFAA");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("HHII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern10() throws MastermindException {
    String test = "ABCD";
    String solution = String.valueOf("DFAA");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("GGII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern11() throws MastermindException {
    String test = "ABCD";
    String solution = String.valueOf("DAAA");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("GGII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern12() throws MastermindException {
    String test = "ABCD";
    String solution = String.valueOf("DDAA");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("GGII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern13() throws MastermindException {
    String test = "DBCA";
    String solution = String.valueOf("DDAA");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("HHII", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern14() throws MastermindException {
    String test = "DDCA";
    String solution = String.valueOf("DDAA");
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("HHHI", roundUp);
    assertEquals(result, roundUp);
  }



  @Test
  public void pattern15() throws MastermindException {
    String solution = String.valueOf("DFBA");
    String test = "AAAA";
    String result = PatternChecker.checkPattern(test, solution);
    String roundUp = PatternChecker.roundUpReport(test, solution);
    assertEquals("HIII", result);
    assertEquals("HIII", roundUp);
    assertEquals(result, roundUp);
  }

}
