/**
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public interface Attachment extends RecordInterface {

  String ATTACHMENT = "ATTACHMENT";
  String FILENAME = "FILENAME";
  String FILESIZE = "FILESIZE";

  /**
   * Gib den Identifier für eine angehängte Datei zurück.
   * 
   * @return dieser Identifier
   */
  Long getAttachment();

  String getFilename();

  Long getFilesize();

  /**
   * Der Identifier für einen Dateinamen.
   * 
   * @param value
   *              dieser Identifier bezieht sich auf ein Datei
   */
  void setAttachment(Long value);

  void setFilename(String value);

  void setFilesize(Long value);
}
