/*
 * Copyright © 2025 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public enum Benutzerstatus {
  VOLLMITGLIED(1),
  MÖCHTE_VOLLMITGLIED_WERDEN(2),
  VOLLMITGLIEDSCHAFT_BESTÄTIGT(3),
  MITGLIEDSCHAFT_ABGELEHNT(4);

  private int status;

  Benutzerstatus(int value) {
    status = value;
  }



  public static Benutzerstatus toBenutzerstatus(int value) {

    for (Benutzerstatus tmp : Benutzerstatus.values()) {
      if (tmp.getStatus() == value) {
        return tmp;
      }
    }
    throw new IllegalArgumentException();
  }



  public int getStatus() {
    return status;
  }



  @Override
  public String toString() {
    return name();
  }
}
