/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import com.google.gson.Gson;



/**
 * Der 1:1 Chat oder PrivateChat wird durch CALLPRIVATECHAT eingeleitet.
 *
 * @author llange
 *
 */
public class CALLPRIVATECHAT extends MESSAGE {

  public final static String SENDER_UID = "SENDER_UID";
  public final static String RECIPIENT_UID = "RECIPIENT_UID";
  public final static String LOCAL_NICKNAME = "LOCAL_NICKNAME";
  public final static String REMOTE_NICKNAME = "REMOTE_NICKNAME";
  public final static String LOCAL_SESSIONID = "LOCAL_SESSIONID";
  public final static String REMOTE_SESSIONID = "REMOTE_SESSIONID";

  private String sender_uid;
  private String recipient_uid;
  private String local_nickname;
  private String remote_nickname;
  private String localSessionid;
  private String remoteSessionid;

  public String getLocalSessionid() {
    return localSessionid;
  }



  public String getRemoteSessionid() {
    return remoteSessionid;
  }



  public void setLocalSessionid(String value) {
    localSessionid = value;
  }



  public void setRemoteSessionid(String value) {
    remoteSessionid = value;
  }



  public void setSenderUID(String value) {
    sender_uid = value;
  }



  public void setRecipientUID(String value) {
    recipient_uid = value;
  }



  public String getSenderUID() {
    return sender_uid;
  }



  /**
   * 
   * @return UserID
   */
  public String getRecipientUID() {
    return recipient_uid;
  }



  /**
   * @param value
   */
  public void setLocalNickname(String value) {
    local_nickname = value;
  }



  /**
   * @param value
   */
  public void setRemoteNickname(String value) {
    remote_nickname = value;
  }



  /**
   * 
   */
  public String getLocalNickname() {
    return local_nickname;
  }



  /**
   * 
   */
  public String getRemoteNickname() {
    return remote_nickname;
  }



  @Override
  public String toString() {
    Gson gson = new Gson();
    return gson.toJson(this);
  }

}
