/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class CALLREMOTEUSER extends MESSAGE {

  public final static String REMOTE_SESSIONID = "REMOTE_SESSIONID";
  public final static String LOCAL_SESSIONID = "LOCAL_SESSIONID";
  public final static String REMOTE_NICKNAME = "REMOTE_NICKNAME";
  public final static String LOCAL_NICKNAME = "LOCAL_NICKNAME";
  
  private String remoteSessionid;
  private String localSessionid;
  private String remoteNickname;
  private String localNickname;
  
  
  public void setRemoteSessionid(String value) {
    remoteSessionid = value;
  }
  
  
  public void setLocalSessionid(String value) {
    localSessionid = value;
  }
  
  
  public void setRemoteNickname(String value) {
    remoteNickname = value;
  }
  
  
  public void setLocalNickname(String value) {
    localNickname = value;
  }
  
  
  public String getRemoteSessionid() {
    return remoteSessionid;
  }
  
  
  public String getLocalSessionid() {
    return localSessionid;
  }
  
  
  public String getRemoteNickname() {
    return remoteNickname;
  }
  
  
  public String getLocalNickname() {
    return localNickname;
  }
  
  
}
