/*
 * Copyright © 2025 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import com.google.gson.Gson;



public class CONFERENCEVIDEO extends MESSAGE {

  public final static String ORGANISATOR = "ORGANISATOR";
  public final static String RECEIVER_SESSIONS = "RECEIVER_SESSIONS";
  public final static String SHARING = "SHARING";
  public static final String KONFERENZRAUM = "KONFERENZRAUM";

  private String organisator; // der Konferenzorganisator
  private String[] receiverSessions; // session alle Empfänger
  private Boolean isShared; // true, wenn eine Verbindung aufgebaut wird
  private String konferenzraum;

  public CONFERENCEVIDEO() {
    super();
  }



  public String getOrganisator() {
    return organisator;
  }



  public void setOrganisator(String origin) {
    this.organisator = origin;
  }



  public String[] getReceiverSessions() {
    return receiverSessions;
  }



  public void setReceiverSessions(String[] receiverSessions) {
    this.receiverSessions = receiverSessions;
  }



  public Boolean isShared() {
    return isShared;
  }



  public void setShared(Boolean isConnected) {
    this.isShared = isConnected;
  }



  public String toString() {
    Gson gson = new Gson();
    return gson.toJson(this);
  }



  public String getKonferenzraum() {
    return konferenzraum;
  }



  public void setKonferenzraum(String konferenzraum) {
    this.konferenzraum = konferenzraum;
  }
}
