/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class CREATETEMPROOM extends MESSAGE {

    
  
  public final static String ROOM = "ROOM";
  public final static String USER = "USER";
  public final static String LIFETIME = "LIFETIME";
  public final static String ENTRY = "ENTRY";
  public final static String PASSWORD = "PASSWORD";
  public final static String NICKNAME = "NICKNAME";
  public final static String ROOMTYPE = "ROOMTYPE";

  
  private String room;
  private String user;
  private Lifetime lifetime;
  private Entry entry;
  private String password;
  private String nickname;
  private Roomtype roomtype;


  
  public void setNickname(String value) {
    nickname = value;
  }
  
  
  public String getNickname() {
    return nickname;
  }
  
  
  public Entry getEntry() {
    return entry;
  }
  
  
  public Lifetime getLifetime() {
    return lifetime;
  }
  
  
  public final String getPassword() {
    return password;
  }
  
  
  public String getRoom() {
    return room;
  }
  
  
  public void setEntry(Entry value) {
    entry = value;
  }
  
  
  public void setLifetime(Lifetime value) {
    lifetime = value;
  }
  
  
  public final void setPassword(String value) {
    password = value;
  }
  
  
  public void setRoom(String value) {
    room = value;
  }
  
  
  public void setUser(String value) {
  	user = value;
  }
  
  
  public String getUser() {
  	return user;
  }


  public Roomtype getRoomtype() {
    return roomtype;
  }


  public void setRoomtype(Roomtype roomtype) {
    this.roomtype = roomtype;
  }
  
  
}
