/*
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;
import java.lang.reflect.Type;

public class ChatUserSerializer implements JsonSerializer<ChatUser> {

  @Override
  public JsonElement serialize(ChatUser src, Type typeOfSrc, JsonSerializationContext context) {

    JsonObject jsonObject = new JsonObject();
    jsonObject.add("BACKGROUND_COLOR", context.serialize(src.getBackgroundColor()));
    jsonObject.add("FOREGROUND_COLOR", context.serialize(src.getForegroundColor()));
    jsonObject.add("USERID", context.serialize(src.getUserid()));
    jsonObject.add("NICKNAME", context.serialize(src.getNickname()));

    return jsonObject;
  }

}
