/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class FTSDOWNLOAD extends FILETRANSFER {

  public final static String SLOT = "SLOT";
  public final static String FILENAME = "FILENAME";
  public final static String PATH = "PATH";


  
  private int slot;
  private String filename;
  private String path;
  
  
  /**
   * Der Dateiname ohne Pfadangabe.
   * 
   * @return der Dateiname
   */
  public String getFilename() {
  	return filename;
  }
  
  
  
  
  /**
   * 
   * @return der Dateiname mit Pfadangabe
   */
  public String getPath() {
  	return path;
  }
  
  
  public int getSlot() {
  	return slot;
  }
  
  
  public void setFilename(String value) {
  	filename = value;
  }
  
  

  
  public void setPath(String value) {
  	path = value;
  }
  
  
  public void setSlot(int value) {
  	slot = value;
  }
  
  
  
  
	
}
