/**
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class IMAGE extends MESSAGE {

  public final static String SENDERUID = "SENDERUID";
  public final static String SENDERNICKNAME = "SENDERNICKNAME";
  public final static String RECEIVERNICKNAME = "RECEIVERNICKNAME";
  public final static String RECEIVERUID = "RECEIVERUID";

  private String senderUid;
  private String senderNickname;
  private String receiverNickname;
  private String receiverUid; // wird nur in der RESPONSE gesendet

  public String getSenderUid() {
    return senderUid;
  }



  public void setSenderUid(String senderUid) {
    this.senderUid = senderUid;
  }



  public String getSenderNickname() {
    return senderNickname;
  }



  public void setSenderNickname(String senderNickname) {
    this.senderNickname = senderNickname;
  }



  public String getReceiverNickname() {
    return receiverNickname;
  }



  public void setReceiverNickname(String receiverNickname) {
    this.receiverNickname = receiverNickname;
  }



  public String getReceiverUid() {
    return receiverUid;
  }



  public void setReceiverUid(String receiverUid) {
    this.receiverUid = receiverUid;
  }


}
