/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

/**
 * Wird periodisch an den Client gesendet, um zu prüfen, ob der Client noch
 * vorhanden ist.
 * 
 * 
 * @author llange
 *
 */
public class KEEPALIVE extends MESSAGE {

  
  public final static String SESSIONID = "SESSIONID";
  
  
  private String sessionId;
  
  
  /**
   * Die SessionID ist eindeutig und bezieht sich auf einen Websocket.
   * @param value
   */
  public void setSessionId(String value) {
    sessionId = value;
  }
  

  /**
   * 
   * @return die SessionId
   */
  public String getSessionId() {
    return sessionId;
  }



  @Override
  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    Gson gson = builder.registerTypeAdapter(KEEPALIVE.class, new KeepaliveSerializer()).create();
    return gson.toJson(this);
  }
  
}
