/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public abstract class MEMBER extends MESSAGE {

  
  public final static String TOPICMEMBER = "TOPICMEMBER";
  public final static String USERID = "USERID";
  public final static String ROOM = "ROOM";
  public final static String ROOMTYPE = "ROOMTYPE";

  private String userid;
  private String room;
  private ChatUser chatuser[];
  private Roomtype roomtype;
  
  
  
  public void setUserid(String value) {
    userid = value;
  }
  
  
  public String getUserid() {
    return userid;
  }
  
  
  public void setRoom(String value) {
    room = value;
  }
  
  
  public String getRoom() {
    return room;
  }
  
  
  public void setChatUser(ChatUser value[]) {
    chatuser = value;
  }
  
  
  public ChatUser[] getChatUser() {
    return chatuser;
  }

  
  
  /**
   * 
   * 
   * 
   * @return FORUM, STAMMTISCH, PAUSENRAUM
   */
  public Roomtype getRoomtype() {
    return roomtype;
  }


  public void setRoomtype(Roomtype roomtype) {
    this.roomtype = roomtype;
  }

  
}
