/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public enum Roomtype {

  FORUM(1),
  BESPRECHUNGSRAUM(2),
  PAUSENRAUM(3),
  GRUPPENRAUM(4);

  private int roomtype;

  private Roomtype(int value) {
    roomtype = value;
  }



  public int getRoomtype() {
    return roomtype;
  }



  public static Roomtype toRoomtype(int value) {
    for (Roomtype tmp : Roomtype.values()) {
      if (tmp.getRoomtype() == value) {
        return tmp;
      }
    }
    throw new IllegalArgumentException();
  }

}
