/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

public class SEARCHFILES extends MESSAGE {

  public final static String USERID = "USERID";
  public final static String SEARCHFILES = "SEARCHFILES";
  public final static String PATTERN = "FILE";
  public final static String SEARCHFILE = "SEARCHFILE";
  public final static String START = "START";

  private String userid;
  private String[] patterns;
  private Searchfile[] searchfile;
  private boolean start;


  public void setUserid(String value) {
  	userid = value;
  }
  
      
  public void setPatterns(String values[]) {
  	patterns = values;
  }
  
  
  public void setSearchfiles(Searchfile[] value) {
  	searchfile = value;
  }

  
  public void setStarted(boolean value) {
  	start = value;
  }

  
  public String getUserid() {
  	return userid;
  }
  
  
  public String[] getPatterns() {
  	return patterns;
  }
  
  
  public Searchfile[] getSearchfiles() {
  	return searchfile;
  }

  
  public boolean hasStarted() {
  	return start;
  }

  

  @Override
  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    builder.registerTypeAdapter(SEARCHFILES.class, new SearchFilesSerializer());
    Gson gson = builder.create();
    return gson.toJson(this);
  }

}
