/**
 * Copyright © 2020 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.protocol;

public class UPLOADFILES extends MESSAGE {

	
  public final static String USERID = "USERID";
  public final static String IP = "IP";
  public final static String PORT = "PORT";
  public final static String UPLOADFILES = "UPLOADFILES";
  public final static String FILE = "FILE";
  public final static String START = "START";

	
  private String userid;
  private String ip;
  // start ist true, wenn der erste Block übertragen wird.
  private boolean start;
  private int port;
  private Uploadfile[] uploadfile;
  
  
  public Uploadfile[] getUploadfile() {
    return uploadfile;
  }


  public void setUploadfile(Uploadfile[] uploadfile) {
    this.uploadfile = uploadfile;
  }


  public void setUserid(String value) {
  	userid = value;
  }
  
  
  public void setIp(String value) {
  	ip = value;
  }
  
  
  public void setPort(int value) {
    port = value;
  }
  
  
  public void setStarted(boolean value) {
  	start = value;
  }
  
  
  public String getUserid() {
  	return userid;
  }
  
  
  public String getIp() {
  	return ip;
  }
  
  
  public int getPort() {
    return port;
  }
  
  
  
  public boolean hasStarted() {
  	return start;
  }
	
}
