/*
 * Copyright © 2022 Luis Andrés Lange <http://javacomm.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacomm.transfer;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.time.ZonedDateTime;



public class TransferBenutzerkonto {

  private String uid;
  private String nickname;
  private String mail;
  private boolean ldelete;
  private ZonedDateTime time;

  public String getUid() {
    return uid;
  }



  public void setUid(String uid) {
    this.uid = uid;
  }



  public String getNickname() {
    return nickname;
  }



  public void setNickname(String nickname) {
    this.nickname = nickname;
  }



  public String getMail() {
    return mail;
  }



  public void setMail(String mail) {
    this.mail = mail;
  }



  public boolean isLdelete() {
    return ldelete;
  }



  public void setLdelete(boolean ldelete) {
    this.ldelete = ldelete;
  }



  public ZonedDateTime getTime() {
    return time;
  }



  public void setTime(ZonedDateTime time) {
    this.time = time;
  }



  @Override
  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    builder = builder.registerTypeAdapter(ZonedDateTime.class, new ZonedDateTimeSerializer());
    Gson gson = builder.create();
    return gson.toJson(this);
  }

}
